Classes | Enumerations | Functions
MsWrd1ParserInternal Namespace Reference

Internal: the structures of a MsWrd1Parser. More...

## Classes
struct | Font
| Internal: the font of a MsWrd1Parser. More...
struct | Paragraph
| Internal: the paragraph of a MsWrd1Parser. More...
struct | PLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | State
| Internal: the state of a MsWrd1Parser. More...
class | SubDocument
| Internal: the subdocument of a MsWrdParser. More...

## Enumerations
enum | PLCType { FONT =0, RULER, FOOTNOTE, PAGE, ZONE, UNKNOWN }
| different types More...

## Functions
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Font const &ft)
std::ostream & | operator<< (std::ostream &o, Paragraph const &para)

## Detailed Description

Internal: the structures of a MsWrd1Parser.

## Enumeration Type Documentation

## ◆ PLCType

enum MsWrd1ParserInternal::PLCType

different types

- FONT: font
- RULER: ruler
- PAGE: page break
- FOOTNOTE: footnote marker
- ZONE: unknown(zone4)

Enumerator
FONT |
RULER |
FOOTNOTE |
PAGE |
ZONE |
UNKNOWN |

## Function Documentation

## ◆ operator<<() [1/3]

std::ostream& MsWrd1ParserInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

## ◆ operator<<() [2/3]

std::ostream& MsWrd1ParserInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

## ◆ operator<<() [3/3]

std::ostream& MsWrd1ParserInternal::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | para
| ) |  |